.icon-shortcut__aside {
  background: rgb(var(--c-primary));
  padding: 0.5rem 4%;
  transition: right 0.3s ease 0s;
  -webkit-transition: right 0.3s ease 0s;
  -moz-transition: right 0.3s ease 0s;

  & .icon-shortcut__text {
    transform: translateY(50%);
    right: calc(100% + 1rem);
    left: auto;
    bottom: 50% !important;
  }

  &.-active {
    right: 300px;
  }
}

.frame-type-gkmb_icon_shortcut.grid__main {
  display: flex;
  flex-wrap: wrap;
  gap: 4px;
  justify-content: center;
}

.page.-sub .icon-shortcut__link {
  display: none;

  &.-search,
  &.-login {
    display: flex;
  }
}

.icon-shortcut__link {
  position: relative;
  width: 45px;
  height: 45px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  transition: 0.2s ease all;
  border-radius: var(--b-radius-s);
  background: rgb(var(--c-primary));
  border: 1px solid rgb(var(--c-neutral-lightest));
  color: rgb(var(--c-neutral-lightest)) !important;

  &[rel="noreferrer"]::after {
    font-size: 8px !important;
    position: absolute;
    right: -1px;
    top: -6px;
    line-height: 18px;
    text-align: center;
    margin: 0;
    border-radius: 18px;
    border: 1px solid rgb(var(--c-neutral-lightest));
    background: rgb(var(--c-primary));
    width: 18px;
    height: 18px;
    z-index: 1;
  }
}

.toplink {
  cursor: pointer;
  display: none;
}

.icon-shortcut__text {
  opacity: 0;
  transition: 0.5s ease all;
  position: absolute;
  bottom: 100%;
  white-space: nowrap;
  left: 50%;
  display: none;
  transform: translateX(-50%);
}

.icon-shortcut__text p {
  padding: 0.4rem 1rem;
  letter-spacing: 0.02em;
  font-size: var(--f-size-s-1);
  color: rgb(var(--c-neutral-lightest));
  background: rgb(var(--c-secondary));
  display: inline-block;
}

.icon-shortcut__text::after {
  content: '';
  display: inline-block;
  border-left: 8px solid rgb(var(--c-secondary));
  border-top: 6px solid transparent;
  border-bottom: 6px solid transparent;
}

.icon-shortcut__icon {
  line-height: 1;
  font-size: 18px;
}

@media (hover: hover) {
  .icon-shortcut__link:hover {
    background: rgb(var(--c-secondary));
    color: rgb(var(--c-neutral-lightest));
    -webkit-box-shadow: 0 3px 7px rgba(var(--c-neutral-darkest), 0.1);
    -moz-box-shadow: 0 3px 7px rgba(var(--c-neutral-darkest), 0.1);
    -o-box-shadow: 0 3px 7px rgba(var(--c-neutral-darkest), 0.1);
    box-shadow: 0 3px 7px rgba(var(--c-neutral-darkest), 0.1);
  }

  .icon-shortcut__link:hover .icon-shortcut__text {
    opacity: 1;
    display: block;
    bottom: calc(100% + .5rem);
  }
}


/* =============================================================================
   Media Queries
   ========================================================================== */

@media (min-width: 800px) {
  .icon-shortcut__aside {
    background: transparent;
    position: absolute;
    right: 0;
    bottom: 5rem;
    height: auto !important;
    width: auto !important;
    z-index: 700;
    padding: 0;

    &.-fixed {
      position: fixed;
      bottom: auto;
      top: 5rem;
    }
  }

  .icon-shortcut__link {
    display: flex;
    border: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }

  .frame-type-gkmb_icon_shortcut.grid__main {
    flex-direction: column;
  }
}